Register Members List Search Today's Posts Mark Forums Read

Reply
 
Mod Options
Title Tag Fetcher (Auto Replace URL with Titletag) Details »
Title Tag Fetcher (Auto Replace URL with Titletag)
Mod Version: 1.5c, by exportforce (Contributor) exportforce is offline
Developer Last Online: Jul 2016 I like it Show Printable Version Email this Page

vB Version: 3.7.x Rating: (12 votes - 4.67 average) Installs: 86
Released: 31 Aug 2008 Last Update: 01 Sep 2008 Downloads: 668
Not Supported Uses Plugins External Content  

Hi there.

Since I needed a new URL Autotext Generator, I always loved the prework of Jafo232 and his Replace URL's With Page Title.
I just did some modifications on this Mod and for some forseeing mistypings, I also leaned out the checking of the "www" if given.

For those who don't know that mod it's quite simple:
If you post an URL in the Forums, this Mod just loads the <title>XXXXXX</title> out of the linked website.

The title won't be read if the following conditions occur:
  • The linked page simply has no <title>-Tag
  • The page is down or the <title>-Tag is not being found within the first 60 seconds
  • The <title>-Tag is not being found within the first 1000 lines of code.
Installation:
Just import the XML via the ACP and thats all.

Uninstall:
Just kill it out of your ACP.

01.09.2008 Update
Fixed Typo which got us a parse error

Download Now

Only licensed members can download files, Click Here for more information.

Addons

Show Your Support

  • To receive notifications regarding updates -> Click to Mark as Installed.
  • If you like this modification support the author by donating.
  • This modification may not be copied, reproduced or published elsewhere without author's permission.
Similar Mod
Mod Developer Type Replies Last Post
Show Thread Enhancements Replace URL's With Page Title Jafo232 vBulletin 3.6 Add-ons 209 26 Mar 2013 17:08
Replace Local Links With Title Jafo232 vBulletin 3.5 Add-ons 90 22 Aug 2007 04:10

  #91  
Old 02 Jan 2017, 10:26
BirdOPrey5's Avatar
BirdOPrey5 BirdOPrey5 is offline
 
Join Date: Jun 2008
Real name: Joe D.
Anything in your PHP Error Log?
__________________
-Joe (@BirdOPrey5) Former Moderator. Fighting for a free & independent vb.org.
BirdOPrey5.com - Exclusive VB Mods! (Formerly Qapla.com) | Joe's Ultimate Off Topic
Note - I do not read my PMs often, do not expect quick replies.
Reply With Quote
  #92  
Old 08 Jan 2017, 16:05
Avimelech Avimelech is offline
 
Join Date: Jul 2006
No errors. (Only from my Wordpress install which is gone.) So I reset the log, did a new post with a link to be processed and no errors in the log still.

Anything else to check?

To reconfirm, you're saying this positively works on the latest 4.2.3 version? Are you running this there?

Also can you confirm that the current ZIP version is all I need or are we talking about modifying it based on the comments since the ZIP?
Reply With Quote
  #93  
Old 11 Jan 2017, 12:42
BirdOPrey5's Avatar
BirdOPrey5 BirdOPrey5 is offline
 
Join Date: Jun 2008
Real name: Joe D.
I'm not saying any of that, I simply asked if there was anything in the error log. What version of PHP are you using?
__________________
-Joe (@BirdOPrey5) Former Moderator. Fighting for a free & independent vb.org.
BirdOPrey5.com - Exclusive VB Mods! (Formerly Qapla.com) | Joe's Ultimate Off Topic
Note - I do not read my PMs often, do not expect quick replies.
Reply With Quote
  #94  
Old 11 Jan 2017, 18:50
Avimelech Avimelech is offline
 
Join Date: Jul 2006
I'm on PowWeb: Current Default version of PHP: 5.6
Reply With Quote
  #95  
Old 11 Jan 2017, 18:57
djbaxter djbaxter is offline
 
Join Date: Aug 2006
Location: Ottawa, Canada
It's still working for me on vB 4.2.3 with PHP 5.5.34

As far as I know, vB4 isn't certified above PHP 5.5.x yet, is it?
Reply With Quote
  #96  
Old 11 Jan 2017, 19:56
Avimelech Avimelech is offline
 
Join Date: Jul 2006
My PowWeb panel lets me pick my PHP version: 5.3, 5.5, or 5.6. Should I bump it down to 5.5 and report back?
Reply With Quote
  #97  
Old 11 Jan 2017, 20:02
MarkFL's Avatar
MarkFL MarkFL is online now
 
Join Date: Feb 2014
Real name: Mark
Originally Posted by Avimelech View Post
My PowWeb panel lets me pick my PHP version: 5.3, 5.5, or 5.6. Should I bump it down to 5.5 and report back?
THe minimum requirements for vB 4.2.3 are:

vBulletin 4.2.3 requires PHP 5.4.0+ and MySQL 4.1.0+.

As far as I know, you should be fine with PHP 5.6.x and vB 4.2.3.
__________________


Support for my products (as well as updates/new product publishing) has been moved to MHB - vBulletin Products and TAZ - Add-ons
Reply With Quote
  #98  
Old 11 Jan 2017, 21:48
Paul M's Avatar
Paul M Paul M is offline
 
Join Date: Sep 2004
Real name: Paul M
Given this was written for vB3.7 (and probably PHP 5.2 or even 5.1) its not going to be much of a surprise if it doesnt work properly on 4.2.3 and PHP 5.5 or 5.6.
__________________

Cable Forum
Please do not PM me about custom work - I no longer undertake any.
Note: I will not answer support questions via e-mail or PM - please use the relevant thread or forum.
Reply With Quote
  #99  
Old 11 Jan 2017, 22:14
Rhodium Rhodium is offline
 
Join Date: Apr 2016
Originally Posted by Avimelech View Post
I'm not getting this to work on 4.2.3 Patch Level 2. Links included in posts just show up normally with the URL and ellipses. (I have included all the mods in the thread.)

I also tried the ZIP version (with the maxversion change alone) and no dice.

Any advice?
Look if you have fopen enabled in php config, it's needed in this addon.
Reply With Quote
  #100  
Old 12 Jan 2017, 09:06
Avimelech Avimelech is offline
 
Join Date: Jul 2006
THANK YOU, Rhodium! It did not matter which PHP version I used, all worked once I set allow_url_fopen = On
Reply With Quote
  #101  
Old 28 Jan 2017, 08:55
Kane@airrifle's Avatar
Kane@airrifle Kane@airrifle is offline
 
Join Date: Jun 2011
Real name: Kane
This mod has the effect of recording your own server as a guest on your forum which results in some odd behaviour such as listing your server in WOL and not having the ability to tag forum urls where guests do not have viewing permissions.

So, is this expected behaviour; should the code be modified to get around it? If so, how?
Reply With Quote
  #102  
Old 07 May 2017, 19:12
mdawg's Avatar
mdawg mdawg is offline
 
Join Date: Mar 2009
Yes, correct Rhodium, must have
PHP set for
allow_url_fopen = On

This mod is running okay now, once I made that PHP adjustment, in my 4.2.3 forum running PHP 5.6.30

Note: for any URLs that were not converted (during a period when you had allow_url_fopen = Off ), you must go back in and edit those posts AND remove the hyperlinks from the non-coverted URLs before re-saving the posts. Easiest way to do this is:
1. Click, Edit Post
2. Cut the URL that has not been converted
3. Paste it into a new browser window
4. Copy that URL that has been posted in that browser window
5. Paste the URL back into the post.
6. Save

http://www.vbulletin.org/forum/showp...3&postcount=87

Now the mod will have created the title for the post. For some reason, edit and save does nothing unless you remove the hyperlink from the URL in question (one that has not been converted).

Last edited by mdawg; 07 May 2017 at 19:19.
Reply With Quote
  #103  
Old 12 May 2017, 04:33
mdawg's Avatar
mdawg mdawg is offline
 
Join Date: Mar 2009
Title Tag Fetcher does not work in PhP 7

This mod will not work with vb 4.2.5 IF running php 7. It will work under PhP 5.6

Quick replies while running this mod in php 7, go blank.
Reply With Quote
  #104  
Old 12 May 2017, 05:42
Kane@airrifle's Avatar
Kane@airrifle Kane@airrifle is offline
 
Join Date: Jun 2011
Real name: Kane
Running fine for me with 4.2.5 on PHP 7.1.
Reply With Quote
  #105  
Old 12 May 2017, 06:02
mdawg's Avatar
mdawg mdawg is offline
 
Join Date: Mar 2009
Have you made posts? Or threads? New ones I mean? Then try making a QUICK REPLY to the post, within the thread. Then try an Advanced Reply to the post, within the thread.

Also, I have a phpinfo.php file loaded in my directory to verify which exact version of PhP I am running, and an .htaccess file that was forcing PhP 5.6 for this directory only, for my vb4 forum only. I commented out the code in that .htaccess to revert to PhP 7, and that was when I determined these issues with this mod.

Issues I had were with PhP 7.0.18 if that makes a difference.

Last edited by mdawg; 12 May 2017 at 14:40.
Reply With Quote
Reply


Currently Active Users Viewing This Thread: 1 (0 members and 1 guests)
 
Mod Options

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is On
HTML code is Off
Forum Jump


New To Site? Need Help?

All times are GMT. The time now is 00:18.

Layout Options | Width: Wide Color: